<form name="editForm" role="form" novalidate (ngSubmit)="loadAccount()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myAccountTransactionLabel" jhiTranslate="bakApp.accountTransaction.home.createOrEditLabel">Create or edit a Account Transaction</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.accountTransaction.bankAccount" for="field_bankAccount">Bank Account</label>
	    <select class="form-control" id="field_bankAccount" name="bankAccount" [(ngModel)]="bankAccount.id" >
	    <!--<select class="form-control" id="field_bankAccount" name="bankAccount"  > -->
                <option [ngValue]="null"></option>
                <option [ngValue]="bankAccountOption.id" *ngFor="let bankAccountOption of bankaccounts; trackBy: trackBankAccountById">{{bankAccountOption.accountNumber}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid" class="btn btn-primary">
            <span class="fa fa-check"></span>&nbsp;<span jhiTranslate="entity.action.ok">OK</span>
        </button>
    </div>
</form>
